=== debian/control ===
Source: ros-rolling-rcss3d-nao
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-nao-lola-command-msgs, ros-rolling-nao-lola-sensor-msgs, ros-rolling-rclcpp-components, ros-rolling-rcss3d-agent, ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces, ros-rolling-soccer-vision-3d-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcss3d-nao
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-nao-lola-command-msgs, ros-rolling-nao-lola-sensor-msgs, ros-rolling-rclcpp-components, ros-rolling-rcss3d-agent, ros-rolling-rcss3d-agent-msgs-to-soccer-interfaces, ros-rolling-soccer-vision-3d-msgs, ros-rolling-ros-workspace
Description: An interface to SimSpark that uses interfaces used by a Nao robot
